# QXmlStreamReader Class Reference

### [com.trolltech.qt.core package]

### Constructor

- void QXmlStreamReader()
- void QXmlStreamReader(QIODevice device)
- void QXmlStreamReader(QByteArray data)
- void QXmlStreamReader(String data)

### Constructor Properties

- prototype: The QXmlStreamReader prototype object
- NoError
- UnexpectedElementError
- CustomError
- NotWellFormedError
- PrematureEndOfDocumentError
- Error( value )
- NoToken = 0
- Invalid
- StartDocument
- EndDocument
- StartElement
- EndElement
- Characters
- Comment
- DTD
- EntityReference
- ProcessingInstruction
- TokenType( value )
- ErrorOnUnexpectedElement
- IncludeChildElements
- SkipChildElements
- ReadElementTextBehaviour( value )

### Prototype Object Properties

- void addData(QByteArray data)
- void addExtraNamespaceDeclaration(QXmlStreamNamespaceDeclaration extraNamespaceDeclaraction)
- void addExtraNamespaceDeclarations(List extraNamespaceDeclaractions)
- bool atEnd()
- QXmlStreamAttributes attributes()
- qint64 characterOffset()
- void clear()
- qint64 columnNumber()
- QIODevice device()
- String documentEncoding()
- String documentVersion()
- String dtdName()
- String dtdPublicId()
- String dtdSystemId()
- List entityDeclarations()
- QXmlStreamEntityResolver entityResolver()
- Error error()
- String errorString()
- bool hasError()
- bool isCDATA()
- bool isCharacters()
- bool isComment()
- bool isDTD()
- bool isEndDocument()
- bool isEndElement()
- bool isEntityReference()
- bool isProcessingInstruction()
- bool isStandaloneDocument()
- bool isStartDocument()
- bool isStartElement()
- bool isWhitespace()
- qint64 lineNumber()
- String name()
- List namespaceDeclarations()
- bool namespaceProcessing()
- String namespaceUri()
- List notationDeclarations()
- String prefix()
- String processingInstructionData()
- String processingInstructionTarget()
- String qualifiedName()
- void raiseError(String message)
- String readElementText()
- TokenType readNext()
- bool readNextStartElement()
- void setDevice(QIODevice device)
- void setEntityResolver(QXmlStreamEntityResolver resolver)
- void setNamespaceProcessing(bool arg__1)
- void skipCurrentElement()
- String text()
- String tokenString()
- TokenType tokenType()

### Instance Properties

QXmlStreamReader objects have no special properties beyond those inherited from the QXmlStreamReader prototype object.